version: '3.8'
services:
  o2d:
    image: telemetrybalkan/o2d:latest
    devices:
      - "/dev:/dev"
    group_add:
      - 20
    environment:
      - RMW_IMPLEMENTATION=rmw_fastrtps_cpp
    privileged: true
    network_mode: host
    stdin_open: true
    tty: true
    volumes:
      - o2d_volume:/ws
volumes:
  o2d_volume:
